-----------------------
-- Localisation
-----------------------

--[[
Thanks to Hubbotu for the Russian translations
]]

-- Default strings
TM_Strings = {};
TM_Strings["ERROR__INVALID_CONFIG"] = "ERROR: Invalid configuration for TrafficMeter addon! Resetting to default values.";
TM_Strings["ERROR__UI_CREATION_MAIN"] = "ERROR: Frame object for TrafficMeter UI could not be created!";
TM_Strings["ERROR__UNHANDLED_EVENT"] = "ERROR: Event '%1$s' not handled by AddOn '%2$s'.";
TM_Strings["INFO__CHAT"] = "Chat: %d";
TM_Strings["INFO__GAME"] = "Game: %d";
TM_Strings["INFO__IN_BYTES"] = "%.0f B/s In";
TM_Strings["INFO__IN_KILOBYTES"] = "%.2f KB/s In";
TM_Strings["INFO__OUT_BYTES"] = "%.0f B/s Out";
TM_Strings["INFO__OUT_KILOBYTES"] = "%.2f KB/s Out";

-- Replacing localised strings
local locale = GetLocale();
if(locale == "deDE") then
	TM_Strings["ERROR__INVALID_CONFIG"] = "FEHLER: Ungültige Konfiguration für das TrafficMeter-AddOn! Konfiguration wird zurückgesetzt.";
	TM_Strings["ERROR__UI_CREATION_MAIN"] = "FEHLER: Frame-Objekt für das TrafficMeter-UI konnte nicht erzeugt werden!";
	TM_Strings["ERROR__UNHANDLED_EVENT"] = "FEHLER: Event '%1$s' wird vom AddOn '%2$s' nicht unterstützt.";
	TM_Strings["INFO__CHAT"] = "Chat: %d";
	TM_Strings["INFO__GAME"] = "Spiel: %d";
	TM_Strings["INFO__IN_BYTES"] = "%.0f B/s In";
	TM_Strings["INFO__IN_KILOBYTES"] = "%.2f KB/s In";
	TM_Strings["INFO__OUT_BYTES"] = "%.0f B/s Out";
	TM_Strings["INFO__OUT_KILOBYTES"] = "%.2f KB/s Out";
elseif(locale == "enGB") then
	-- no changes
elseif(locale == "enUS") then
	-- no changes
elseif(locale == "esES") then
	-- not supported yet
elseif(locale == "esMX") then
	-- not supported yet
elseif(locale == "frFR") then
	-- not supported yet
elseif(locale == "itIT") then
	-- not supported yet
elseif(locale == "koKR") then
	-- not supported yet
elseif(locale == "ptBR") then
	-- not supported yet
elseif(locale == "ruRU") then
	TM_Strings["ERROR__INVALID_CONFIG"] = "ОШИБКА: неверная конфигурация надстройки TrafficMeter! Сброс до значений по умолчанию.";
	TM_Strings["ERROR__UI_CREATION_MAIN"] = "ОШИБКА: не удалось создать окно для пользовательского интерфейса TrafficMeter!";
	TM_Strings["ERROR__UNHANDLED_EVENT"] = "ОШИБКА: событие '%1$s' не обрабатывается аддоном '%2$s'.";
	TM_Strings["INFO__CHAT"] = "Чат: %d";
	TM_Strings["INFO__GAME"] = "Игра: %d";
	TM_Strings["INFO__IN_BYTES"] = "%.0f B/s In";
	TM_Strings["INFO__IN_KILOBYTES"] = "%.2f KB/s In";
	TM_Strings["INFO__OUT_BYTES"] = "%.0f B/s Out";
	TM_Strings["INFO__OUT_KILOBYTES"] = "%.2f KB/s Out";
elseif(locale == "zhCN") then
	-- not supported yet
elseif(locale == "zhTW") then
	-- not supported yet
end